stages:
   - build
   - test
   - deploy

build-job:
 image: docker 
 stage: test
 services: 
   - docker:dind
 script:
   - export
   - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
   - docker build -t $CI_REGISTRY_IMAGE/main .
   - docker push $CI_REGISTRY_IMAGE/main

sast:
  stage: test
include:
- template: Security/SAST.gitlab-ci.yml

deploy-job:
 image: alpine 
 stage: deploy
 variables:
   CI_REGISTRY_IMAGE: $CI_REGISTRY_IMAGE
 script:
   - apk add --update openssh-client
   - eval $(ssh-agent -s) 
   - echo "$KEY" | ssh-add - > /dev/null
   - ssh -o StrictHostKeyChecking=no "$KEY" "$USER"@"$SERVER" -p "$PORT" 'docker run -d --rm -p8080:8080 registry.gitlab.com/maddysonnicky/lesson4_last/main'
   - echo $CI_REGISTRY_IMAGE
